matrix:
  platform:
  - debian13
  - ubuntu2404
  - macos
  - macos_arm64
  - windows
  bazel:
  - 9.x
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@pybind11_bazel//...'
bcr_test_module:
  module_path: examples/basic
  matrix:
    platform:
    - debian13
    - ubuntu2404
    - macos
    - macos_arm64
    - windows
    bazel:
    - 9.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - basic
      test_targets:
      - basic_pybind_deps_test
